Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class DescribeInstanceHealthRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticloadbalancing.model.DescribeInstanceHealthRequest

    public class DescribeInstanceHealthRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeInstanceHealth operation`.

See Also:
  `AmazonElasticLoadBalancing.describeInstanceHealth(DescribeInstanceHealthRequest)`

Constructor Summary
`DescribeInstanceHealthRequest()`

Method Summary
`List<Instance>` | `getInstances()` Returns the value of the Instances property for this object.
`String` | `getLoadBalancerName()` Returns the value of the LoadBalancerName property for this object.
`void` | `setInstances(Collection<Instance> instances)` Sets the value of the Instances property for this object.
`void` | `setLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeInstanceHealthRequest` | `withInstances(Collection<Instance> instances)` Sets the value of the Instances property for this object.
`DescribeInstanceHealthRequest` | `withInstances(Instance... instances)` Sets the value of the Instances property for this object.
`DescribeInstanceHealthRequest` | `withLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeInstanceHealthRequest

    public DescribeInstanceHealthRequest()

Method Detail

### getLoadBalancerName

    public String getLoadBalancerName()

  Returns the value of the LoadBalancerName property for this object.

  Returns:
    The value of the LoadBalancerName property for this object.

### setLoadBalancerName

    public void setLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.

### withLoadBalancerName

    public DescribeInstanceHealthRequest withLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public List<Instance> getInstances()

  Returns the value of the Instances property for this object.

  Returns:
    The value of the Instances property for this object.

### setInstances

    public void setInstances(Collection<Instance> instances)

  Sets the value of the Instances property for this object.

  Parameters:
    `instances` - The new value for the Instances property for this object.

### withInstances

    public DescribeInstanceHealthRequest withInstances(Instance... instances)

  Sets the value of the Instances property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The new value for the Instances property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstances

    public DescribeInstanceHealthRequest withInstances(Collection<Instance> instances)

  Sets the value of the Instances property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The new value for the Instances property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.